.flex-container {
  display: flex;
  flex-wrap: wrap;
}

div {
width: 24%;
display: flex;
justify-content: center;
align-items: center;
margin: 0.5%;
}

.gran {
flex-basis: 100%;
}

@media (max-width: 1024px) {
  div {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
    flex: 45%;
  }
}

@media (max-width: 600px) {
  .flex-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
  }
}